% define parameters (constant)
workingPathTE = 'C:\MatVLF\MultipleConfigExample\TE\';
workingPathTM = 'C:\MatVLF\MultipleConfigExample\TM\';
inputVariables = {'Rectangular Grating\Modulation Depth'}; % 'Optical Setup Element Name\ShortName'
% define single-input function as the merit function for optimization
maxEfficiency = 100; % given in percentage
meritFunc =@(gratingDepth) 100 - 0.5*(VLFBatchEvaluation_SingleOutput(workingPathTE, inputVariables, gratingDepth) + VLFBatchEvaluation_SingleOutput(workingPathTM, inputVariables, gratingDepth));

% define varying range
gratingDepthMax = 8e-6; % given in meters
gratingDepthMin = 0.1e-6; % given in meters
% optimization of grating depth
[gratingDepth, meritFunc] = fminbnd( meritFunc, gratingDepthMin, gratingDepthMax)

